%global commit 7b2aca6716462f6c52281b8cadcbcf413c3f8744
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Summary: Rexpectable
Name: rexpectable
Version: 1
Release: 2
Group: Development/Languages
License: MIT
URL: https://github.com/sebnetdev/rexpectable
#Source0: https://github.com/sebnetdev/rexpectable/%{commit}/rexpectable-%{commit}.tar.gz
Source0: https://github.com/sebnetdev/rexpectable/archive/master.zip
#https://github.com/sebnetdev/rexpectable/commit/7b2aca6716462f6c52281b8cadcbcf413c3f8744
Source1: 0001-shebang.patch
Requires: ruby
BuildArch: noarch
Requires:  rubygem(rest-client treetop jsonpath jsonparser)
#Requires:  rubygem(bruce-jsonpath --source 'http://gems.github.com')


%description
This software is designed to help you to test your Rest Webservices
(JSON + XML)

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
unzip $RPM_SOURCE_DIR/master.zip
cd %{name}-master
patch -s -p1 < %{SOURCE1}

%build

%install
mkdir -p %{buildroot}%{_datadir}/doc
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}

cp -pr %{name}-master/*  %{buildroot}

%post

%files
%{_bindir}/*
/usr/lib/*

%files doc
%{_datadir}/doc/*
%{_datadir}/man/man1/rexpectable.1.gz
/README.md
/LICENSE

%changelog
